Package org.springframework.security.access.expression.method

# Interface MethodSecurityExpressionOperations

All Superinterfaces:
  `SecurityExpressionOperations`

public interface MethodSecurityExpressionOperations extends SecurityExpressionOperations
Interface which must be implemented if you want to use filtering in method security expressions.

Since:
  3.1.1

## Method Summary

Modifier and Type
Method
Description
`Object`
`getFilterObject()`
`Object`
`getReturnObject()`
`Object`
`getThis()`
`void`
`setFilterObject(Object filterObject)`
`void`
`setReturnObject(Object returnObject)`

### Methods inherited from interface org.springframework.security.access.expression.SecurityExpressionOperations

`denyAll, getAuthentication, hasAnyAuthority, hasAnyRole, hasAuthority, hasPermission, hasPermission, hasRole, isAnonymous, isAuthenticated, isFullyAuthenticated, isRememberMe, permitAll`

## Method Details

### setFilterObject

void setFilterObject(Object filterObject)

### getFilterObject

Object getFilterObject()

### setReturnObject

void setReturnObject(Object returnObject)

### getReturnObject

Object getReturnObject()

### getThis

Object getThis()